"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractLocalizedValues = exports.containsLocalizedValues = void 0;
var traverse_1 = require("./traverse");
var isLocalizedField = function (value) {
    return value && typeof value === 'object' && value['@type'] === '@builder.io/core:LocalizedValue';
};
var containsLocalizedValues = function (data) {
    if (!data || !Object.getOwnPropertyNames(data).length) {
        return false;
    }
    var hasLocalizedValues = false;
    (0, traverse_1.traverse)(data, function (value) {
        if (isLocalizedField(value)) {
            hasLocalizedValues = true;
            return;
        }
    });
    return hasLocalizedValues;
};
exports.containsLocalizedValues = containsLocalizedValues;
var extractLocalizedValues = function (data, locale) {
    if (!data || !Object.getOwnPropertyNames(data).length) {
        return {};
    }
    (0, traverse_1.traverse)(data, function (value, update) {
        var _a;
        if (isLocalizedField(value)) {
            update((_a = value[locale]) !== null && _a !== void 0 ? _a : undefined);
        }
    });
    return data;
};
exports.extractLocalizedValues = extractLocalizedValues;
//# sourceMappingURL=extract-localized-values.js.map